/*Variaveis*/
$cor: black;
$color: color;
/*Aninhamento, item dentro de item*/
h1 {
  color: $cor;
  .color {
      background-color: $cor;
      font-size: large;
      width: 500px;
      .teste{
          #{$color}: red;
          background-attachment: fixed;
      }
  }
}
/*for*/
/*through de start ate end e to de start ate numero antes do end*/

@for $i from 1 through 3 {
    .item-#{$i}{
        background-color: $cor;
        margin-bottom: 10rem;
    }
}
/*While*/
$contador: 1;
@while $contador < 5 {
    
    .item-#{$contador}{
        background-color: red;
        margin-bottom: 10rem;
    }
    $contador:$contador + 1;
}

/*each*/
$lista: green, yellow, red;
$contador: 1;
@each $core in $lista {
    
    .item-#{$contador}{
        background-color: $core;
        margin-bottom: 10rem;
    }
    $contador:$contador + 1;
}
/*funções excecuçoes para os códigos*/
$total:12;
@function largura-coluna($coluna) {
    @return percentage($coluna/$total );
}
$resultado:largura-coluna(6);
$contador: 1;
@while $contador < 6 {
    .item-#{$contador}{
        background-color: red;
        margin-bottom: 10rem;
        width: $resultado ;
    }
    $contador:$contador + 1;
}
/*
    #{$resultado}
*/
/*# sourceMappingURL=arquivo.scss.map */
